package com.yeejoin.amos.boot.module.jg.api.service;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yeejoin.amos.boot.module.jg.api.entity.JgChangeRegistrationTransferEq;

/**
 * 移装变更登记设备关系表接口类
 *
 * @author system_generator
 * @date 2023-12-20
 */
public interface IJgChangeRegistrationTransferEqService {

    boolean saveOrUpdateTransferEqData(JgChangeRegistrationTransferEq transferEq);

    JgChangeRegistrationTransferEq getDetailByEquipTransferId(String transferId);

    JgChangeRegistrationTransferEq getDetailByEquIdAndTransferId(String equipId, String equipTransferId);

    boolean updateDate(JgChangeRegistrationTransferEq eq, LambdaQueryWrapper<JgChangeRegistrationTransferEq> eqWapper);
}
